package io.piveau.metrics.accessibility

object Constants {
    const val ENV_PIVEAU_TRIPLESTORE_CONFIG = "PIVEAU_TRIPLESTORE_CONFIG"
    const val ENV_PIVEAU_ACCESSIBILITY_ACCESS_CONFIG = "PIVEAU_ACCESSIBILITY_ACCESS_CONFIG"
    const val ENV_PIVEAU_ACCESSIBILITY_DOWNLOAD_CONFIG = "PIVEAU_ACCESSIBILITY_DOWNLOAD_CONFIG"
    const val ENV_PIVEAU_ACCESSIBILITY_PERSISTENCE_CONFIG = "PIVEAU_ACCESSIBILITY_PERSISTENCE_CONFIG"
    const val ENV_PIVEAU_ACCESSIBILITY_SCHEDULING_CONFIG = "PIVEAU_ACCESSIBILITY_SCHEDULING_CONFIG"

    const val ENV_PIVEAU_DCATAP_SCHEMA_CONFIG = "PIVEAU_DCATAP_SCHEMA_CONFIG"
}

enum class Priority {
    IMMEDIATE, LOW, NORMAL, HIGH
}